Submit a signed integrator approval transaction
Submits the L1-signed approve-integrator transaction to Lighter to activate the integrator approval
x-api-key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/misc/lighter/submit-approve-integrator" \ -H "Content-Type: application/json" \ -d '{ "l1Signature": "string", "txInfo": "string", "accountIndex": 0, "apiKeyIndex": 0 }'{ "txHash": "string"}Prepare an integrator approval transaction for L1 signing POST
Signs the approve-integrator transaction with backend-configured fee parameters and returns a message for the frontend to sign with the L1 wallet
Create a Lighter auth token POST
Creates an auth token for authenticating private API requests to Lighter